org.apache.solr.search.grouping

## Class CommandHandler.Builder

- java.lang.Object
- - org.apache.solr.search.grouping.CommandHandler.Builder

- Enclosing class:
    CommandHandler

      public static class CommandHandler.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandHandler.Builder` | `addCommandField(Command commandField)`
    `CommandHandler` | `build()`
    `CommandHandler.Builder` | `setIncludeHitCount(boolean includeHitCount)`
    `CommandHandler.Builder` | `setNeedDocSet(boolean needDocSet)` Sets whether to compute a `DocSet`.
    `CommandHandler.Builder` | `setQueryCommand(QueryCommand queryCommand)`
    `CommandHandler.Builder` | `setSearcher(SolrIndexSearcher searcher)`
    `CommandHandler.Builder` | `setTruncateGroups(boolean truncateGroups)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setQueryCommand

          public CommandHandler.Builder setQueryCommand(QueryCommand queryCommand)

    - #### addCommandField

          public CommandHandler.Builder addCommandField(Command commandField)

    - #### setSearcher

          public CommandHandler.Builder setSearcher(SolrIndexSearcher searcher)

    - #### setNeedDocSet

          public CommandHandler.Builder setNeedDocSet(boolean needDocSet)

      Sets whether to compute a `DocSet`. May override the value set by `setQueryCommand(org.apache.solr.search.QueryCommand)`.
      Parameters:
        `needDocSet` - Whether to compute a `DocSet`
      Returns:
        this

    - #### setTruncateGroups

          public CommandHandler.Builder setTruncateGroups(boolean truncateGroups)

    - #### setIncludeHitCount

          public CommandHandler.Builder setIncludeHitCount(boolean includeHitCount)

    - #### build

          public CommandHandler build()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.